# Create ATS Job

POST https://api.letsdeel.com/rest/v2/ats/jobs
Content-Type: application/json

This endpoint allows the creation of a new job within the ATS system. The user must provide all required fields, and the job will be created with the specified details.
 **Token scopes**: `ats:write`

Reference: https://developer.deel.com/api/reference/endpoints/ats/create-ats-job

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /ats/jobs:
    post:
      operationId: create-ats-job
      summary: Create ATS Job
      description: >-
        This endpoint allows the creation of a new job within the ATS system.
        The user must provide all required fields, and the job will be created
        with the specified details.
         **Token scopes**: `ats:write`
      tags:
        - subpackage_ats
      parameters:
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Job successfully created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ATS_createAtsJob_Response_201'
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateAtsJobRequestBadRequestError'
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  $ref: >-
                    #/components/schemas/AtsJobsPostRequestBodyContentApplicationJsonSchemaData
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    AtsJobsPostRequestBodyContentApplicationJsonSchemaData:
      type: object
      properties:
        title:
          type: string
          description: The job title
        team_ids:
          type: array
          items:
            type: string
            format: uuid
          description: Array of team IDs (at least one required)
        location_ids:
          type: array
          items:
            type: string
            format: uuid
          description: Array of location IDs
        department_ids:
          type: array
          items:
            type: string
            format: uuid
          description: Array of department IDs (optional)
        is_confidential:
          type: boolean
          default: false
          description: Whether the job posting is confidential
        interview_plan_id:
          type: string
          format: uuid
          description: Interview Plan ID must be a valid UUID
        employment_type_ids:
          type: array
          items:
            type: string
            format: uuid
          description: Array of employment type IDs (at least one required)
        richtext_description:
          type:
            - string
            - 'null'
          description: Rich text description of the job
      required:
        - title
        - team_ids
        - location_ids
        - employment_type_ids
      title: AtsJobsPostRequestBodyContentApplicationJsonSchemaData
    AtsJobsPostResponsesContentApplicationJsonSchemaDataStatus:
      type: string
      enum:
        - DRAFT
        - WAITING_FOR_APPROVAL
        - APPROVED
        - NOT_APPROVED
        - OPEN
        - CLOSED
        - ARCHIVED
      description: Current status of the job
      title: AtsJobsPostResponsesContentApplicationJsonSchemaDataStatus
    AtsJobsPostResponsesContentApplicationJsonSchemaDataJobTeamsItemsTeam:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Team ID
        name:
          type: string
          description: Team name
      required:
        - id
        - name
      title: AtsJobsPostResponsesContentApplicationJsonSchemaDataJobTeamsItemsTeam
    AtsJobsPostResponsesContentApplicationJsonSchemaDataJobTeamsItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Job team relationship ID
        team:
          $ref: >-
            #/components/schemas/AtsJobsPostResponsesContentApplicationJsonSchemaDataJobTeamsItemsTeam
      required:
        - id
        - team
      title: AtsJobsPostResponsesContentApplicationJsonSchemaDataJobTeamsItems
    AtsJobsPostResponsesContentApplicationJsonSchemaDataJobLocationsItemsLocation:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Location ID
        name:
          type: string
          description: Location name
      required:
        - id
        - name
      title: >-
        AtsJobsPostResponsesContentApplicationJsonSchemaDataJobLocationsItemsLocation
    AtsJobsPostResponsesContentApplicationJsonSchemaDataJobLocationsItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Job location relationship ID
        location:
          $ref: >-
            #/components/schemas/AtsJobsPostResponsesContentApplicationJsonSchemaDataJobLocationsItemsLocation
      required:
        - id
        - location
      title: AtsJobsPostResponsesContentApplicationJsonSchemaDataJobLocationsItems
    AtsJobsPostResponsesContentApplicationJsonSchemaDataJobDepartmentsItemsDepartment:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Department ID
        name:
          type: string
          description: Department name
      required:
        - id
        - name
      title: >-
        AtsJobsPostResponsesContentApplicationJsonSchemaDataJobDepartmentsItemsDepartment
    AtsJobsPostResponsesContentApplicationJsonSchemaDataJobDepartmentsItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Job department relationship ID
        department:
          oneOf:
            - $ref: >-
                #/components/schemas/AtsJobsPostResponsesContentApplicationJsonSchemaDataJobDepartmentsItemsDepartment
            - type: 'null'
      required:
        - id
        - department
      title: AtsJobsPostResponsesContentApplicationJsonSchemaDataJobDepartmentsItems
    AtsJobsPostResponsesContentApplicationJsonSchemaDataJobEmploymentTypesItemsEmploymentType:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Employment type ID
        name:
          type: string
          description: Employment type name
      required:
        - id
        - name
      title: >-
        AtsJobsPostResponsesContentApplicationJsonSchemaDataJobEmploymentTypesItemsEmploymentType
    AtsJobsPostResponsesContentApplicationJsonSchemaDataJobEmploymentTypesItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Job employment type relationship ID
        employment_type:
          $ref: >-
            #/components/schemas/AtsJobsPostResponsesContentApplicationJsonSchemaDataJobEmploymentTypesItemsEmploymentType
      required:
        - id
        - employment_type
      title: >-
        AtsJobsPostResponsesContentApplicationJsonSchemaDataJobEmploymentTypesItems
    AtsJobsPostResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the created job
        title:
          type: string
          description: The job title
        status:
          $ref: >-
            #/components/schemas/AtsJobsPostResponsesContentApplicationJsonSchemaDataStatus
          description: Current status of the job
        job_teams:
          type: array
          items:
            $ref: >-
              #/components/schemas/AtsJobsPostResponsesContentApplicationJsonSchemaDataJobTeamsItems
          description: Teams associated with the job
        created_at:
          type: string
          format: date-time
          description: Timestamp when the job was created
        updated_at:
          type: string
          format: date-time
          description: Timestamp when the job was last updated
        job_locations:
          type: array
          items:
            $ref: >-
              #/components/schemas/AtsJobsPostResponsesContentApplicationJsonSchemaDataJobLocationsItems
          description: Locations associated with the job
        is_confidential:
          type: boolean
          description: Whether the job posting is confidential
        job_departments:
          type:
            - array
            - 'null'
          items:
            $ref: >-
              #/components/schemas/AtsJobsPostResponsesContentApplicationJsonSchemaDataJobDepartmentsItems
          description: Departments associated with the job
        approval_rule_id:
          type:
            - string
            - 'null'
          format: uuid
          description: ID of the approval rule applied to this job
        approval_request_id:
          type:
            - string
            - 'null'
          format: uuid
          description: ID of the approval request for this job
        job_employment_types:
          type: array
          items:
            $ref: >-
              #/components/schemas/AtsJobsPostResponsesContentApplicationJsonSchemaDataJobEmploymentTypesItems
          description: Employment types associated with the job
        richtext_description:
          type:
            - string
            - 'null'
          description: Rich text description of the job
        created_by_hris_organization_user_id:
          type:
            - string
            - 'null'
          format: uuid
          description: ID of the user who created the job
      required:
        - id
        - title
        - status
        - job_teams
        - job_locations
        - is_confidential
        - approval_rule_id
        - approval_request_id
        - job_employment_types
        - created_by_hris_organization_user_id
      title: AtsJobsPostResponsesContentApplicationJsonSchemaData
    ATS_createAtsJob_Response_201:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/AtsJobsPostResponsesContentApplicationJsonSchemaData
      title: ATS_createAtsJob_Response_201
    AtsJobsPostResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        code:
          type: string
        field:
          type: string
        message:
          type: string
      title: AtsJobsPostResponsesContentApplicationJsonSchemaErrorsItems
    CreateAtsJobRequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/AtsJobsPostResponsesContentApplicationJsonSchemaErrorsItems
      title: CreateAtsJobRequestBadRequestError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/ats/jobs"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/ats/jobs';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/ats/jobs"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/ats/jobs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/v2/ats/jobs")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/v2/ats/jobs', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/ats/jobs");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/ats/jobs")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```